#pragma once
#include "Entity.h"
class CS_PeCountdown;
class CS_Enemy_TrackingBombSmall :
    public Entity
{
public:
    CS_Enemy_TrackingBombSmall(std::shared_ptr<Entity> parent);
    void Step() override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
    int act_no = 0;
    int count1 = 0;
    int act_wait = 0;
    bool bExplode = false;
    int damage = 5;
    int birthTime = 30;
    std::weak_ptr<CS_PeCountdown> countdown;
    std::weak_ptr<Entity> target;
};

void SetCS_Enemy_TrackingBombSmall(std::shared_ptr<Entity> parent, float x, float y, std::weak_ptr<Entity> target);